/*
File Name: Light
 Contents: Code for handling ambient light sensor. 
 Last modified: 12/23/10
 Programmer: John Vaughn
 Comments: Simple analog reading from a voltage divider using a CdS photocell.  Hardware: We use a 47K resistor in series with the
 photocell which is connected to +5v and center tap to our ADC pin.  We map our reading to percentage of full +5v maximum ADC.  
 Low light levels are lower voltages, hence lower return values from this function.
 */

 // Just check the analog value at our ambient light ADC pin and return it.
 int getLightLevel() {
    return map(analogRead(LIGHT_PIN),0,1024,0,100);  // Map our light value to 0-100% of ADC values
 }  // End getLightLevel
 
 // End file Light
